> ## Documentation Index
> Fetch the complete documentation index at: https://docs.truststack.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Organization Theme

> Create a new organization theme



## OpenAPI

````yaml /openapi.json post /organization-themes
openapi: 3.0.0
info:
  title: Trust Stack API
  description: Programmatic access to the Trust Stack API.
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /organization-themes:
    post:
      tags:
        - Organization Theme
      summary: Create Organization Theme
      description: Create a new organization theme
      operationId: createOrganizationTheme
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateOrganizationTheme'
      responses:
        '200':
          description: The organization theme that was created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OrganizationTheme'
components:
  schemas:
    CreateOrganizationTheme:
      type: object
      properties:
        color:
          type: string
          description: The primary color for the organization theme in hex format
          example: '#3366FF'
        icon:
          type: string
          format: uuid
          description: The ID of the icon uploaded to the object storage
          example: 123e4567-e89b-12d3-a456-426614174000
      required:
        - color
        - icon
    OrganizationTheme:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier for the organization theme
          example: 123e4567-e89b-12d3-a456-426614174000
        icon:
          description: The associated icon organization theme
          allOf:
            - $ref: '#/components/schemas/S3Object'
        variables:
          type: object
          description: The associated theme containing styles and variables
          additionalProperties: true
        createdAt:
          type: string
          format: date-time
          description: The date and time the organization theme was created
        updatedAt:
          type: string
          format: date-time
          description: The date and time the organization theme was updated
      required:
        - id
        - icon
        - variables
        - createdAt
        - updatedAt
    S3Object:
      type: object
      properties:
        id:
          type: string
          description: The ID of the object
          example: 123e4567-e89b-12d3-a456-426614174000
        url:
          type: string
          description: Presigned URL of the object
        key:
          type: string
          description: The key of the object
          example: test.png
        mimeType:
          type: string
          description: The MIME type of the object
          example: image/png
        size:
          type: number
          description: The size of the object
          example: 1024
        createdAt:
          type: string
          description: The tenant ID of the object
          format: date-time
        updatedAt:
          type: string
          description: The updated at date of the object
          format: date-time
      required:
        - id
        - url
        - key
        - createdAt
        - updatedAt

````